﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Activation;

namespace UsVsThemService
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Notifications" in code, svc and config file together.
    [AspNetCompatibilityRequirements(RequirementsMode=AspNetCompatibilityRequirementsMode.Required)]
    public class Notifications : INotifications
    {

        public void RegisterChannel(string channelUri)
        {
            ChannelRegistrations.ChannelUris.Add(channelUri);
        }

        public void RemoveChannel(string channelUri)
        {
            ChannelRegistrations.ChannelUris.Remove(channelUri);
        }

        public string[] GetRegisteredChannels()
        {
            return ChannelRegistrations.ChannelUris.ToArray();
        }
    }
}
