﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Activation;
using System.Diagnostics;

namespace Chapter15ServiceHost
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "RESTfulService" in code, svc and config file together.
    [AspNetCompatibilityRequirements(RequirementsMode=AspNetCompatibilityRequirementsMode.Required)]
    public class RESTfulService : IRESTfulService
    {

        public Customer[] GetCustomers()
        {
            List<Customer> customerList = new List<Customer>();
            for (int x = 0; x < 10; x++)
            {
                customerList.Add(new Customer
                {
                    FirstName = "Customer",
                    LastName = "Number " + (x + 1).ToString(),
                    Address = new Address
                    {
                        City = "CustomerVille",
                        Zip = "90210",
                        Line1 = "1 Cust St",
                        State = "CU"
                    }
                });
            }
            return customerList.ToArray();
        }

        public void CreateCustomer(Customer cust)
        {
            Debug.WriteLine("Received customer " + cust.FirstName + " " + cust.LastName);
        }
    }
}
