﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Windows.Navigation;
using SmartClientDemo.ViewModels;

namespace SmartClientDemo
{
    public partial class BlogDetails : PhoneApplicationPage
    {
        public BlogDetails()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            string selectedIndex = "";
            if (NavigationContext.QueryString.TryGetValue("selectedItem", out selectedIndex))
            {
                int index = int.Parse(selectedIndex);
                DataContext = App.ViewModel.BlogPosts[index];                
            }
        }

        private void browser_Loaded(object sender, RoutedEventArgs e)
        {
            BlogViewModel blogPost = browser.DataContext as BlogViewModel;
            browser.NavigateToString(blogPost.Description);
        }
    }
}