﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using GalaSoft.MvvmLight.Messaging;
using Mnemuse.ViewModel;

namespace Mnemuse.Messages
{
    public class RemoveBookMessage : MessageBase
    {
        public Book Book { get; set; }

        public RemoveBookMessage(Book bookToRemove)
            : base()
        {
            this.Book = bookToRemove;
        }
    }
}
