﻿using Microsoft.Phone.Controls;
using Mnemuse.ViewModel;
using GalaSoft.MvvmLight.Threading;
using System;

namespace Mnemuse
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();                        
        }        

        /// <summary>
        /// We should be handling this with a command, or EventToCommand,
        /// but application bar buttons are NULL at runtime and they cannot
        /// have their properties databound, so this is the best we can do.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void addBookButton_Click(object sender, System.EventArgs e)
        {
            var vm = DataContext as MainViewModel;
            if (vm != null)
            {                
                vm.AddBookCommand.Execute(null);
            }
        }               
    }
}
