﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace ExecutionModelTest
{
    public class ViewModel : INotifyPropertyChanged
    {
        private DateTime lastLaunchDate;

        public DateTime LastLaunchDate
        {
            get
            {
                return lastLaunchDate;
            }
            set
            {
                lastLaunchDate = value;
                NotifyPropertyChanged("LastLaunchDate");
            }
        }


        private void NotifyPropertyChanged(string propName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
        }
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
