﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Web;

namespace Chapter15ServiceHost
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the interface name "IRESTfulService" in both code and config file together.
    [ServiceContract]
    [XmlSerializerFormat]
    public interface IRESTfulService
    {
        [WebInvoke(
            Method = "GET",
            RequestFormat = WebMessageFormat.Xml,
            ResponseFormat = WebMessageFormat.Xml,
            BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/Customers")]
        Customer[] GetCustomers();

        [WebInvoke(
            Method = "POST",
            RequestFormat = WebMessageFormat.Xml,
            ResponseFormat = WebMessageFormat.Xml,
            BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/UploadedCustomers")]
        void CreateCustomer(Customer cust);
    }
}
