﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Mnemuse.Model
{
    public interface IMnemuseServiceProvider
    {
        void SaveCharacters(Guid bookId, IEnumerable<Character> characters);
        IEnumerable<Character> LoadCharacters(Guid bookId);

        void SaveBooks(IEnumerable<Book> books);
        IEnumerable<Book> LoadBooks();
    }
}
